Subject: Re: [dhcwg] Address autoconfiguration
From: Ralph Droms <[email-masked]>
To: Alexandru Petrescu<[email-masked]>
Cc: John Wells<[email-masked]>, <[email-masked]>
Date: Fri, 06 Sep 2002 11:08:27 -0400
List-Id: <dhcwg.ietf.org>

RFC2131 specifies interface disconnect/reconnect as the trigger for a DHCP 
update.  Nothing else.

Initiating changes in routes advertised by RIP is certainly possible, 
although I don't know of any DHCP servers that will do it today.

Are you talking about DHCP/IPv4 or DHCP/IPv6?

- Ralph

At 11:11 AM 8/30/2002 +0200, Alexandru Petrescu wrote:
>Hi John,
>
>John Wells <[email-masked]> writes:
> > Hi Alex,
> > That was precisely the idea I had.  It's a good one because it gives
> > optimal routing and sidesteps communicating the home address and care-of
> > address to mobile nodes.
>
>We can discuss about this, but this is only half DHC.  It gives
>optimal routing but only within that routing domain.  No need of HoA
>and CoA but only if staying in that domain.
>
> > Can any DHCP servers do this now?
>
>I don't know of any DHCP implementation that interacts with routing
>daemons.  But enhanching a DHCPv6 implementation to send UDP messages
>to routing daemons, a proof-of-concept like, must not be very
>difficult.
>
>RIP needs some modifications to act well for this.  Again, off-topic,
>but links torn down information propagate badly.
>
>Alex
>
>_______________________________________________
>dhcwg mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/dhcwg

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg